# <img align="right" src="./sticker.svg" width="30%"> KmerAnalysis

[![Latest release](https://img.shields.io/github/release/BioJulia/KmerAnalysis.svg)](https://github.com/BioJulia/KmerAnalysis/releases/latest)
[![MIT license](https://img.shields.io/badge/license-MIT-green.svg)](https://github.com/BioJulia/KmerAnalysis.jl/blob/master/LICENSE) 
[![Stable documentation](https://img.shields.io/badge/docs-stable-blue.svg)](https://biojulia.github.io/KmerAnalysis.jl/stable)
[![Pkg Status](http://www.repostatus.org/badges/latest/active.svg)](http://www.repostatus.org/#active)
[![Chat](https://img.shields.io/gitter/room/BioJulia/KmerAnalysis.svg)](https://gitter.im/BioJulia/KmerAnalysis)


## Description

A k-mer counting and analysis tool-box for Julia.

Provides k-mer counting utilities, as well as k-mer spectra and coverage analysis routines.

## Installation

You can install KmerAnalysis from the julia REPL. Press `]` to enter pkg mode
again, and enter the following:

```
pkg> add KmerAnalysis
```

To add it to your environment.

You may also want the addon package KmerAnalysisMakie, which provides
AbstractPlotting recipes for the types in this package.

## Testing

KmerAnalysis is tested against Julia `1.X` on Linux, OS X, and Windows.

**Latest build status:**

[![](https://travis-ci.com/BioJulia/KmerAnalysis.jl.svg?branch=master)](https://travis-ci.com/BioJulia/KmerAnalysis.jl)
![](https://github.com/BioJulia/KmerAnalysis.jl/workflows/Unit%20testing/badge.svg)
![](https://github.com/BioJulia/KmerAnalysis.jl/workflows/Documentation/badge.svg)


## Contributing

We appreciate contributions from users including reporting bugs, fixing
issues, improving performance and adding new features.

Take a look at the [contributing files](https://github.com/BioJulia/Contributing)
detailed contributor and maintainer guidelines, and code of conduct.


### Financial contributions

We also welcome financial contributions in full transparency on our
[open collective](https://opencollective.com/biojulia).
Anyone can file an expense. If the expense makes sense for the development
of the community, it will be "merged" in the ledger of our open collective by
the core contributors and the person who filed the expense will be reimbursed.


## Backers & Sponsors

Thank you to all our backers and sponsors!

Love our work and community? [Become a backer](https://opencollective.com/biojulia#backer).

[![backers](https://opencollective.com/biojulia/backers.svg?width=890)](https://opencollective.com/biojulia#backers)

Does your company use BioJulia? Help keep BioJulia feature rich and healthy by
[sponsoring the project](https://opencollective.com/biojulia#sponsor)
Your logo will show up here with a link to your website.

[![](https://opencollective.com/biojulia/sponsor/0/avatar.svg)](https://opencollective.com/biojulia/sponsor/0/website)
[![](https://opencollective.com/biojulia/sponsor/1/avatar.svg)](https://opencollective.com/biojulia/sponsor/1/website)
[![](https://opencollective.com/biojulia/sponsor/2/avatar.svg)](https://opencollective.com/biojulia/sponsor/2/website)
[![](https://opencollective.com/biojulia/sponsor/3/avatar.svg)](https://opencollective.com/biojulia/sponsor/3/website)
[![](https://opencollective.com/biojulia/sponsor/4/avatar.svg)](https://opencollective.com/biojulia/sponsor/4/website)
[![](https://opencollective.com/biojulia/sponsor/5/avatar.svg)](https://opencollective.com/biojulia/sponsor/5/website)
[![](https://opencollective.com/biojulia/sponsor/6/avatar.svg)](https://opencollective.com/biojulia/sponsor/6/website)
[![](https://opencollective.com/biojulia/sponsor/7/avatar.svg)](https://opencollective.com/biojulia/sponsor/7/website)
[![](https://opencollective.com/biojulia/sponsor/8/avatar.svg)](https://opencollective.com/biojulia/sponsor/8/website)
[![](https://opencollective.com/biojulia/sponsor/9/avatar.svg)](https://opencollective.com/biojulia/sponsor/9/website)


## Questions?

If you have a question about contributing or using BioJulia software, come
on over and chat to us on [Gitter](https://gitter.im/BioJulia/General), or you can try the
[Bio category of the Julia discourse site](https://discourse.julialang.org/c/domain/bio).
